#### D.11.4.9 xchange

Procedure from library `findifs.lib` (see findifs_lib).

Usage:
  xchange(w,a,b); w,a,b strings

Return:
  string

Purpose:
  exchanges substring 'a' with a substring 'b' in the string w

Note:

Example:

    LIB "findifs.lib";
    " EXAMPLE:";
    ==>  EXAMPLE:
    ring r = (0,dt,dh,A),Tt,dp;
    poly p = (Tt*dt+dh+1)^2+2*A;
    string s = texpoly("",p);
    s;
    ==> $dt^{2}\cdot Tt^{2}+(2dtdh+2dt)\cdot Tt+(dh^{2}+2dh+2A+1)$
    string t = xchange(s,"dh","dt");
    t;
    ==> $dh^{2}\cdot Tt^{2}+(2dhdt+2dh)\cdot Tt+(dt^{2}+2dt+2A+1)$

User manual for Singular version 4.4.1, 2025, generated by texi2html.